<?xml version="1.0" encoding="UTF-8" ?>
<!-- Crybeam -->
<vavoom_model_definition noselfshadow="true">
  <model name="crybeam_0">
    <md3 file="models/projectilecrybeam/projectilecrybeam.md3" noshadow="false">
      <skin file="models/projectilecrybeam/projectilecrybeam.png" />
      <frame index="0">  <!-- 0 -->
        <transform>
          <!--
          <matrix absolute="true">
            -16.9706 0 -14.1421 0
            0 10 0 0
            14.1421 0 -11.7851 0
            0 0 0 1
          </matrix>
          -->
          <rotate roll="135" />
          <scale x="24" y="10" z="20" />
        </transform>
      </frame>
      <frame index="0">  <!-- 1 -->
        <transform>
          <!--
          <matrix absolute="true">
            -33.9411 0 -28.2843 0
            0 10 0 0
            14.1421 0 -11.7851 0
            0 0 0 1
          </matrix>
          -->
          <rotate roll="135" />
          <scale x="48" y="10" z="20" />
        </transform>
      </frame>
      <frame index="0">  <!-- 2 -->
        <transform>
          <!--
          <matrix absolute="true">
            -67.8822 0 -56.5685 0
            0 10 0 0
            14.1421 0 -11.7851 0
            0 0 0 1
          </matrix>
          -->
          <rotate roll="135" />
          <scale x="96" y="10" z="20" />
        </transform>
      </frame>
      <frame index="0">  <!-- 3 -->
        <transform>
          <!--
          <matrix absolute="true">
            -135.764 0 -113.137 0
            0 10 0 0
            14.1421 0 -11.7851 0
            0 0 0 1
          </matrix>
          -->
          <rotate roll="135" />
          <scale x="192" y="10" z="20" />
        </transform>
      </frame>
      <frame index="0">  <!-- 4 -->
        <transform>
          <!--
          <matrix absolute="true">
            -271.529 0 -226.274 0
            0 10 0 0
            14.1421 0 -11.7851 0
            0 0 0 1
          </matrix>
          -->
          <rotate roll="135" />
          <scale x="384" y="10" z="20" />
        </transform>
      </frame>
      <frame index="0">  <!-- 5 -->
        <transform>
          <!--
          <matrix absolute="true">
            -543.058 0 -452.548 0
            0 10 0 0
            14.1421 0 -11.7851 0
            0 0 0 1
          </matrix>
          -->
          <rotate roll="135" />
          <scale x="768" y="10" z="20" />
        </transform>
      </frame>
      <!-- paingun tracer -->
      <frame index="0">  <!-- 6 -->
        <transform>
          <rotate roll="170" />
          <scale value="80" />
        </transform>
      </frame>
    </md3>
  </model>

  <class name="Crybeam">
    <state sprite="PCRY" sprite_frame="U" model="crybeam_0" frame_index="0" usepitch="momentum" />
    <state sprite="PCRY" sprite_frame="V" model="crybeam_0" frame_index="1" usepitch="momentum" />
    <state sprite="PCRY" sprite_frame="W" model="crybeam_0" frame_index="2" usepitch="momentum" />
    <state sprite="PCRY" sprite_frame="X" model="crybeam_0" frame_index="3" usepitch="momentum" />
    <state sprite="PCRY" sprite_frame="Y" model="crybeam_0" frame_index="4" usepitch="momentum" />
    <state sprite="PCRY" sprite_frame="Z" model="crybeam_0" frame_index="5" usepitch="momentum" />
  </class>

  <class name="PaingunTracer">
    <state sprite="PTRA" sprite_frame="A" model="crybeam_0" frame_index="6" usepitch="momentum" />
  </class>
</vavoom_model_definition>
